{
  "openapi": "3.1.0",
  "info": {
    "title": "T2K Studio API",
    "version": "1.0.0",
    "description": "Generated route inventory for the versioned T2K Studio API. Paths and methods are checked against every route handler and the private @t2k/studio-contracts compatibility client. Generic schemas intentionally do not invent fields, and this document does not attest parity with a separately released public package."
  },
  "servers": [
    {
      "url": "https://studio.t2k.ai"
    }
  ],
  "paths": {
    "/api/v1/api-keys": {
      "get": {
        "operationId": "getApiKeys",
        "summary": "GET /api/v1/api-keys",
        "tags": [
          "api-keys"
        ],
        "security": [
          {
            "ApiKey": []
          },
          {
            "SessionCookie": []
          }
        ],
        "responses": {
          "200": {
            "description": "Successful JSON response. This generated route inventory does not yet express per-operation response schemas.",
            "content": {
              "application/json": {
                "schema": {}
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          }
        },
        "x-t2k-route-source": "apps/studio/src/app/api/v1/api-keys/route.ts"
      },
      "post": {
        "operationId": "postApiKeys",
        "summary": "POST /api/v1/api-keys",
        "tags": [
          "api-keys"
        ],
        "security": [
          {
            "ApiKey": []
          },
          {
            "SessionCookie": []
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "additionalProperties": true
              }
            }
          }
        },
        "responses": {
          "201": {
            "description": "Successful JSON response. This generated route inventory does not yet express per-operation response schemas.",
            "content": {
              "application/json": {
                "schema": {}
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          }
        },
        "x-t2k-route-source": "apps/studio/src/app/api/v1/api-keys/route.ts"
      }
    },
    "/api/v1/api-keys/{keyId}": {
      "delete": {
        "operationId": "deleteApiKeysKeyId",
        "summary": "DELETE /api/v1/api-keys/{keyId}",
        "tags": [
          "api-keys"
        ],
        "security": [
          {
            "ApiKey": []
          },
          {
            "SessionCookie": []
          }
        ],
        "parameters": [
          {
            "name": "keyId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successful JSON response. This generated route inventory does not yet express per-operation response schemas.",
            "content": {
              "application/json": {
                "schema": {}
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          }
        },
        "x-t2k-route-source": "apps/studio/src/app/api/v1/api-keys/[keyId]/route.ts"
      }
    },
    "/api/v1/business-contexts": {
      "get": {
        "operationId": "getBusinessContexts",
        "summary": "GET /api/v1/business-contexts",
        "tags": [
          "business-contexts"
        ],
        "security": [
          {
            "ApiKey": []
          },
          {
            "SessionCookie": []
          }
        ],
        "responses": {
          "200": {
            "description": "Successful JSON response. This generated route inventory does not yet express per-operation response schemas.",
            "content": {
              "application/json": {
                "schema": {}
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          }
        },
        "x-t2k-route-source": "apps/studio/src/app/api/v1/business-contexts/route.ts",
        "x-t2k-client-methods": [
          "listBusinessContexts"
        ]
      },
      "post": {
        "operationId": "postBusinessContexts",
        "summary": "POST /api/v1/business-contexts",
        "tags": [
          "business-contexts"
        ],
        "security": [
          {
            "ApiKey": []
          },
          {
            "SessionCookie": []
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "additionalProperties": true
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Successful JSON response. This generated route inventory does not yet express per-operation response schemas.",
            "content": {
              "application/json": {
                "schema": {}
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          }
        },
        "x-t2k-route-source": "apps/studio/src/app/api/v1/business-contexts/route.ts",
        "x-t2k-client-methods": [
          "createBusinessContext"
        ]
      }
    },
    "/api/v1/decision-actions/{actionId}": {
      "patch": {
        "operationId": "patchDecisionActionsActionId",
        "summary": "PATCH /api/v1/decision-actions/{actionId}",
        "tags": [
          "decision-actions"
        ],
        "security": [
          {
            "ApiKey": []
          },
          {
            "SessionCookie": []
          }
        ],
        "parameters": [
          {
            "name": "actionId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "additionalProperties": true
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Successful JSON response. This generated route inventory does not yet express per-operation response schemas.",
            "content": {
              "application/json": {
                "schema": {}
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          }
        },
        "x-t2k-route-source": "apps/studio/src/app/api/v1/decision-actions/[actionId]/route.ts",
        "x-t2k-client-methods": [
          "transitionAction"
        ]
      }
    },
    "/api/v1/decision-actions/{actionId}/execution-attempts": {
      "get": {
        "operationId": "getDecisionActionsActionIdExecutionAttempts",
        "summary": "GET /api/v1/decision-actions/{actionId}/execution-attempts",
        "tags": [
          "decision-actions"
        ],
        "security": [
          {
            "ApiKey": []
          },
          {
            "SessionCookie": []
          }
        ],
        "parameters": [
          {
            "name": "actionId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successful JSON response. This generated route inventory does not yet express per-operation response schemas.",
            "content": {
              "application/json": {
                "schema": {}
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          }
        },
        "x-t2k-route-source": "apps/studio/src/app/api/v1/decision-actions/[actionId]/execution-attempts/route.ts",
        "x-t2k-client-methods": [
          "listExecutionAttempts"
        ]
      },
      "post": {
        "operationId": "postDecisionActionsActionIdExecutionAttempts",
        "summary": "POST /api/v1/decision-actions/{actionId}/execution-attempts",
        "tags": [
          "decision-actions"
        ],
        "security": [
          {
            "ApiKey": []
          },
          {
            "SessionCookie": []
          }
        ],
        "parameters": [
          {
            "name": "actionId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "additionalProperties": true
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Successful JSON response. This generated route inventory does not yet express per-operation response schemas.",
            "content": {
              "application/json": {
                "schema": {}
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          }
        },
        "x-t2k-route-source": "apps/studio/src/app/api/v1/decision-actions/[actionId]/execution-attempts/route.ts",
        "x-t2k-client-methods": [
          "createExecutionAttempt"
        ]
      }
    },
    "/api/v1/decision-episodes/{episodeId}": {
      "get": {
        "operationId": "getDecisionEpisodesEpisodeId",
        "summary": "GET /api/v1/decision-episodes/{episodeId}",
        "tags": [
          "decision-episodes"
        ],
        "security": [
          {
            "ApiKey": []
          },
          {
            "SessionCookie": []
          }
        ],
        "parameters": [
          {
            "name": "episodeId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successful JSON response. This generated route inventory does not yet express per-operation response schemas.",
            "content": {
              "application/json": {
                "schema": {}
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          }
        },
        "x-t2k-route-source": "apps/studio/src/app/api/v1/decision-episodes/[episodeId]/route.ts",
        "x-t2k-client-methods": [
          "getDecisionEpisode"
        ]
      },
      "patch": {
        "operationId": "patchDecisionEpisodesEpisodeId",
        "summary": "PATCH /api/v1/decision-episodes/{episodeId}",
        "tags": [
          "decision-episodes"
        ],
        "security": [
          {
            "ApiKey": []
          },
          {
            "SessionCookie": []
          }
        ],
        "parameters": [
          {
            "name": "episodeId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "additionalProperties": true
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Successful JSON response. This generated route inventory does not yet express per-operation response schemas.",
            "content": {
              "application/json": {
                "schema": {}
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          }
        },
        "x-t2k-route-source": "apps/studio/src/app/api/v1/decision-episodes/[episodeId]/route.ts",
        "x-t2k-client-methods": [
          "bindDecisionEpisode"
        ]
      }
    },
    "/api/v1/decision-episodes/{episodeId}/close": {
      "post": {
        "operationId": "postDecisionEpisodesEpisodeIdClose",
        "summary": "POST /api/v1/decision-episodes/{episodeId}/close",
        "tags": [
          "decision-episodes"
        ],
        "security": [
          {
            "ApiKey": []
          },
          {
            "SessionCookie": []
          }
        ],
        "parameters": [
          {
            "name": "episodeId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "additionalProperties": true
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Successful JSON response. This generated route inventory does not yet express per-operation response schemas.",
            "content": {
              "application/json": {
                "schema": {}
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          }
        },
        "x-t2k-route-source": "apps/studio/src/app/api/v1/decision-episodes/[episodeId]/close/route.ts",
        "x-t2k-client-methods": [
          "closeDecisionEpisode"
        ]
      }
    },
    "/api/v1/decision-episodes/{episodeId}/observations": {
      "get": {
        "operationId": "getDecisionEpisodesEpisodeIdObservations",
        "summary": "GET /api/v1/decision-episodes/{episodeId}/observations",
        "tags": [
          "decision-episodes"
        ],
        "security": [
          {
            "ApiKey": []
          },
          {
            "SessionCookie": []
          }
        ],
        "parameters": [
          {
            "name": "episodeId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successful JSON response. This generated route inventory does not yet express per-operation response schemas.",
            "content": {
              "application/json": {
                "schema": {}
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          }
        },
        "x-t2k-route-source": "apps/studio/src/app/api/v1/decision-episodes/[episodeId]/observations/route.ts",
        "x-t2k-client-methods": [
          "listEpisodeObservations"
        ]
      },
      "post": {
        "operationId": "postDecisionEpisodesEpisodeIdObservations",
        "summary": "POST /api/v1/decision-episodes/{episodeId}/observations",
        "tags": [
          "decision-episodes"
        ],
        "security": [
          {
            "ApiKey": []
          },
          {
            "SessionCookie": []
          }
        ],
        "parameters": [
          {
            "name": "episodeId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "additionalProperties": true
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Successful JSON response. This generated route inventory does not yet express per-operation response schemas.",
            "content": {
              "application/json": {
                "schema": {}
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          }
        },
        "x-t2k-route-source": "apps/studio/src/app/api/v1/decision-episodes/[episodeId]/observations/route.ts",
        "x-t2k-client-methods": [
          "recordEpisodeObservation"
        ]
      }
    },
    "/api/v1/decision-episodes/{episodeId}/reasoning-runs": {
      "get": {
        "operationId": "getDecisionEpisodesEpisodeIdReasoningRuns",
        "summary": "GET /api/v1/decision-episodes/{episodeId}/reasoning-runs",
        "tags": [
          "decision-episodes"
        ],
        "security": [
          {
            "ApiKey": []
          },
          {
            "SessionCookie": []
          }
        ],
        "parameters": [
          {
            "name": "episodeId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successful JSON response. This generated route inventory does not yet express per-operation response schemas.",
            "content": {
              "application/json": {
                "schema": {}
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          }
        },
        "x-t2k-route-source": "apps/studio/src/app/api/v1/decision-episodes/[episodeId]/reasoning-runs/route.ts",
        "x-t2k-client-methods": [
          "listReasoningRuns"
        ]
      },
      "post": {
        "operationId": "postDecisionEpisodesEpisodeIdReasoningRuns",
        "summary": "POST /api/v1/decision-episodes/{episodeId}/reasoning-runs",
        "tags": [
          "decision-episodes"
        ],
        "security": [
          {
            "ApiKey": []
          },
          {
            "SessionCookie": []
          }
        ],
        "parameters": [
          {
            "name": "episodeId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "additionalProperties": true
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Successful JSON response. This generated route inventory does not yet express per-operation response schemas.",
            "content": {
              "application/json": {
                "schema": {}
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          }
        },
        "x-t2k-route-source": "apps/studio/src/app/api/v1/decision-episodes/[episodeId]/reasoning-runs/route.ts",
        "x-t2k-client-methods": [
          "recordReasoningRun"
        ]
      }
    },
    "/api/v1/decision-episodes/{episodeId}/reward-assessments": {
      "get": {
        "operationId": "getDecisionEpisodesEpisodeIdRewardAssessments",
        "summary": "GET /api/v1/decision-episodes/{episodeId}/reward-assessments",
        "tags": [
          "decision-episodes"
        ],
        "security": [
          {
            "ApiKey": []
          },
          {
            "SessionCookie": []
          }
        ],
        "parameters": [
          {
            "name": "episodeId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successful JSON response. This generated route inventory does not yet express per-operation response schemas.",
            "content": {
              "application/json": {
                "schema": {}
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          }
        },
        "x-t2k-route-source": "apps/studio/src/app/api/v1/decision-episodes/[episodeId]/reward-assessments/route.ts",
        "x-t2k-client-methods": [
          "listRewardAssessments"
        ]
      },
      "post": {
        "operationId": "postDecisionEpisodesEpisodeIdRewardAssessments",
        "summary": "POST /api/v1/decision-episodes/{episodeId}/reward-assessments",
        "tags": [
          "decision-episodes"
        ],
        "security": [
          {
            "ApiKey": []
          },
          {
            "SessionCookie": []
          }
        ],
        "parameters": [
          {
            "name": "episodeId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "additionalProperties": true
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Successful JSON response. This generated route inventory does not yet express per-operation response schemas.",
            "content": {
              "application/json": {
                "schema": {}
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          }
        },
        "x-t2k-route-source": "apps/studio/src/app/api/v1/decision-episodes/[episodeId]/reward-assessments/route.ts",
        "x-t2k-client-methods": [
          "assessEpisodeReward"
        ]
      }
    },
    "/api/v1/decision-episodes/{episodeId}/reward-assessments/{assessmentId}/waive": {
      "post": {
        "operationId": "postDecisionEpisodesEpisodeIdRewardAssessmentsAssessmentIdWaive",
        "summary": "POST /api/v1/decision-episodes/{episodeId}/reward-assessments/{assessmentId}/waive",
        "tags": [
          "decision-episodes"
        ],
        "security": [
          {
            "ApiKey": []
          },
          {
            "SessionCookie": []
          }
        ],
        "parameters": [
          {
            "name": "episodeId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "assessmentId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "additionalProperties": true
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Successful JSON response. This generated route inventory does not yet express per-operation response schemas.",
            "content": {
              "application/json": {
                "schema": {}
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          }
        },
        "x-t2k-route-source": "apps/studio/src/app/api/v1/decision-episodes/[episodeId]/reward-assessments/[assessmentId]/waive/route.ts",
        "x-t2k-client-methods": [
          "waiveRewardAssessmentGuardrail"
        ]
      }
    },
    "/api/v1/decisions/{decisionId}/actions": {
      "get": {
        "operationId": "getDecisionsDecisionIdActions",
        "summary": "GET /api/v1/decisions/{decisionId}/actions",
        "tags": [
          "decisions"
        ],
        "security": [
          {
            "ApiKey": []
          },
          {
            "SessionCookie": []
          }
        ],
        "parameters": [
          {
            "name": "decisionId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successful JSON response. This generated route inventory does not yet express per-operation response schemas.",
            "content": {
              "application/json": {
                "schema": {}
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          }
        },
        "x-t2k-route-source": "apps/studio/src/app/api/v1/decisions/[decisionId]/actions/route.ts",
        "x-t2k-client-methods": [
          "listActions"
        ]
      },
      "post": {
        "operationId": "postDecisionsDecisionIdActions",
        "summary": "POST /api/v1/decisions/{decisionId}/actions",
        "tags": [
          "decisions"
        ],
        "security": [
          {
            "ApiKey": []
          },
          {
            "SessionCookie": []
          }
        ],
        "parameters": [
          {
            "name": "decisionId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "additionalProperties": true
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Successful JSON response. This generated route inventory does not yet express per-operation response schemas.",
            "content": {
              "application/json": {
                "schema": {}
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          }
        },
        "x-t2k-route-source": "apps/studio/src/app/api/v1/decisions/[decisionId]/actions/route.ts",
        "x-t2k-client-methods": [
          "createAction"
        ]
      }
    },
    "/api/v1/decisions/{decisionId}/outcomes": {
      "get": {
        "operationId": "getDecisionsDecisionIdOutcomes",
        "summary": "GET /api/v1/decisions/{decisionId}/outcomes",
        "tags": [
          "decisions"
        ],
        "security": [
          {
            "ApiKey": []
          },
          {
            "SessionCookie": []
          }
        ],
        "parameters": [
          {
            "name": "decisionId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successful JSON response. This generated route inventory does not yet express per-operation response schemas.",
            "content": {
              "application/json": {
                "schema": {}
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          }
        },
        "x-t2k-route-source": "apps/studio/src/app/api/v1/decisions/[decisionId]/outcomes/route.ts",
        "x-t2k-client-methods": [
          "listOutcomes"
        ]
      },
      "post": {
        "operationId": "postDecisionsDecisionIdOutcomes",
        "summary": "POST /api/v1/decisions/{decisionId}/outcomes",
        "tags": [
          "decisions"
        ],
        "security": [
          {
            "ApiKey": []
          },
          {
            "SessionCookie": []
          }
        ],
        "parameters": [
          {
            "name": "decisionId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "additionalProperties": true
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Successful JSON response. This generated route inventory does not yet express per-operation response schemas.",
            "content": {
              "application/json": {
                "schema": {}
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          }
        },
        "x-t2k-route-source": "apps/studio/src/app/api/v1/decisions/[decisionId]/outcomes/route.ts",
        "x-t2k-client-methods": [
          "recordOutcome"
        ]
      }
    },
    "/api/v1/execution-attempts/{attemptId}/receipts": {
      "get": {
        "operationId": "getExecutionAttemptsAttemptIdReceipts",
        "summary": "GET /api/v1/execution-attempts/{attemptId}/receipts",
        "tags": [
          "execution-attempts"
        ],
        "security": [
          {
            "ApiKey": []
          },
          {
            "SessionCookie": []
          }
        ],
        "parameters": [
          {
            "name": "attemptId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successful JSON response. This generated route inventory does not yet express per-operation response schemas.",
            "content": {
              "application/json": {
                "schema": {}
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          }
        },
        "x-t2k-route-source": "apps/studio/src/app/api/v1/execution-attempts/[attemptId]/receipts/route.ts",
        "x-t2k-client-methods": [
          "listExecutionReceipts"
        ]
      },
      "post": {
        "operationId": "postExecutionAttemptsAttemptIdReceipts",
        "summary": "POST /api/v1/execution-attempts/{attemptId}/receipts",
        "tags": [
          "execution-attempts"
        ],
        "security": [
          {
            "ApiKey": []
          },
          {
            "SessionCookie": []
          }
        ],
        "parameters": [
          {
            "name": "attemptId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "additionalProperties": true
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Successful JSON response. This generated route inventory does not yet express per-operation response schemas.",
            "content": {
              "application/json": {
                "schema": {}
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          }
        },
        "x-t2k-route-source": "apps/studio/src/app/api/v1/execution-attempts/[attemptId]/receipts/route.ts",
        "x-t2k-client-methods": [
          "recordExecutionReceipt"
        ]
      }
    },
    "/api/v1/jobs/{jobId}": {
      "get": {
        "operationId": "getJobsJobId",
        "summary": "GET /api/v1/jobs/{jobId}",
        "tags": [
          "jobs"
        ],
        "security": [
          {
            "ApiKey": []
          },
          {
            "SessionCookie": []
          }
        ],
        "parameters": [
          {
            "name": "jobId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successful JSON response. This generated route inventory does not yet express per-operation response schemas.",
            "content": {
              "application/json": {
                "schema": {}
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          }
        },
        "x-t2k-route-source": "apps/studio/src/app/api/v1/jobs/[jobId]/route.ts"
      }
    },
    "/api/v1/jobs/{jobId}/retry": {
      "post": {
        "operationId": "postJobsJobIdRetry",
        "summary": "POST /api/v1/jobs/{jobId}/retry",
        "tags": [
          "jobs"
        ],
        "security": [
          {
            "ApiKey": []
          },
          {
            "SessionCookie": []
          }
        ],
        "parameters": [
          {
            "name": "jobId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successful JSON response. This generated route inventory does not yet express per-operation response schemas.",
            "content": {
              "application/json": {
                "schema": {}
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          }
        },
        "x-t2k-route-source": "apps/studio/src/app/api/v1/jobs/[jobId]/retry/route.ts"
      }
    },
    "/api/v1/knowledge-graphs": {
      "get": {
        "operationId": "getKnowledgeGraphs",
        "summary": "GET /api/v1/knowledge-graphs",
        "tags": [
          "knowledge-graphs"
        ],
        "security": [
          {
            "ApiKey": []
          },
          {
            "SessionCookie": []
          }
        ],
        "responses": {
          "200": {
            "description": "Successful JSON response. This generated route inventory does not yet express per-operation response schemas.",
            "content": {
              "application/json": {
                "schema": {}
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          }
        },
        "x-t2k-route-source": "apps/studio/src/app/api/v1/knowledge-graphs/route.ts",
        "x-t2k-client-methods": [
          "listKnowledgeGraphs"
        ]
      },
      "post": {
        "operationId": "postKnowledgeGraphs",
        "summary": "POST /api/v1/knowledge-graphs",
        "tags": [
          "knowledge-graphs"
        ],
        "security": [
          {
            "ApiKey": []
          },
          {
            "SessionCookie": []
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "additionalProperties": true
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Successful JSON response. This generated route inventory does not yet express per-operation response schemas.",
            "content": {
              "application/json": {
                "schema": {}
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          }
        },
        "x-t2k-route-source": "apps/studio/src/app/api/v1/knowledge-graphs/route.ts",
        "x-t2k-client-methods": [
          "createKnowledgeGraph"
        ]
      }
    },
    "/api/v1/knowledge-graphs/{graphKey}": {
      "get": {
        "operationId": "getKnowledgeGraphsGraphKey",
        "summary": "GET /api/v1/knowledge-graphs/{graphKey}",
        "tags": [
          "knowledge-graphs"
        ],
        "security": [
          {
            "ApiKey": []
          },
          {
            "SessionCookie": []
          }
        ],
        "parameters": [
          {
            "name": "graphKey",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successful JSON response. This generated route inventory does not yet express per-operation response schemas.",
            "content": {
              "application/json": {
                "schema": {}
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          }
        },
        "x-t2k-route-source": "apps/studio/src/app/api/v1/knowledge-graphs/[graphKey]/route.ts",
        "x-t2k-client-methods": [
          "getKnowledgeGraph"
        ]
      },
      "patch": {
        "operationId": "patchKnowledgeGraphsGraphKey",
        "summary": "PATCH /api/v1/knowledge-graphs/{graphKey}",
        "tags": [
          "knowledge-graphs"
        ],
        "security": [
          {
            "ApiKey": []
          },
          {
            "SessionCookie": []
          }
        ],
        "parameters": [
          {
            "name": "graphKey",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "additionalProperties": true
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Successful JSON response. This generated route inventory does not yet express per-operation response schemas.",
            "content": {
              "application/json": {
                "schema": {}
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          }
        },
        "x-t2k-route-source": "apps/studio/src/app/api/v1/knowledge-graphs/[graphKey]/route.ts",
        "x-t2k-client-methods": [
          "configureKnowledgeGraph"
        ]
      }
    },
    "/api/v1/knowledge-graphs/{graphKey}/authority-grants": {
      "get": {
        "operationId": "getKnowledgeGraphsGraphKeyAuthorityGrants",
        "summary": "GET /api/v1/knowledge-graphs/{graphKey}/authority-grants",
        "tags": [
          "knowledge-graphs"
        ],
        "security": [
          {
            "ApiKey": []
          },
          {
            "SessionCookie": []
          }
        ],
        "parameters": [
          {
            "name": "graphKey",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successful JSON response. This generated route inventory does not yet express per-operation response schemas.",
            "content": {
              "application/json": {
                "schema": {}
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          }
        },
        "x-t2k-route-source": "apps/studio/src/app/api/v1/knowledge-graphs/[graphKey]/authority-grants/route.ts",
        "x-t2k-client-methods": [
          "listAuthorityGrants"
        ]
      },
      "post": {
        "operationId": "postKnowledgeGraphsGraphKeyAuthorityGrants",
        "summary": "POST /api/v1/knowledge-graphs/{graphKey}/authority-grants",
        "tags": [
          "knowledge-graphs"
        ],
        "security": [
          {
            "ApiKey": []
          },
          {
            "SessionCookie": []
          }
        ],
        "parameters": [
          {
            "name": "graphKey",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "additionalProperties": true
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Successful JSON response. This generated route inventory does not yet express per-operation response schemas.",
            "content": {
              "application/json": {
                "schema": {}
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          }
        },
        "x-t2k-route-source": "apps/studio/src/app/api/v1/knowledge-graphs/[graphKey]/authority-grants/route.ts",
        "x-t2k-client-methods": [
          "createAuthorityGrant"
        ]
      }
    },
    "/api/v1/knowledge-graphs/{graphKey}/authority-grants/{grantId}/revoke": {
      "post": {
        "operationId": "postKnowledgeGraphsGraphKeyAuthorityGrantsGrantIdRevoke",
        "summary": "POST /api/v1/knowledge-graphs/{graphKey}/authority-grants/{grantId}/revoke",
        "tags": [
          "knowledge-graphs"
        ],
        "security": [
          {
            "ApiKey": []
          },
          {
            "SessionCookie": []
          }
        ],
        "parameters": [
          {
            "name": "graphKey",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "grantId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successful JSON response. This generated route inventory does not yet express per-operation response schemas.",
            "content": {
              "application/json": {
                "schema": {}
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          }
        },
        "x-t2k-route-source": "apps/studio/src/app/api/v1/knowledge-graphs/[graphKey]/authority-grants/[grantId]/revoke/route.ts",
        "x-t2k-client-methods": [
          "revokeAuthorityGrant"
        ]
      }
    },
    "/api/v1/knowledge-graphs/{graphKey}/claims": {
      "get": {
        "operationId": "getKnowledgeGraphsGraphKeyClaims",
        "summary": "GET /api/v1/knowledge-graphs/{graphKey}/claims",
        "tags": [
          "knowledge-graphs"
        ],
        "security": [
          {
            "ApiKey": []
          },
          {
            "SessionCookie": []
          }
        ],
        "parameters": [
          {
            "name": "graphKey",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successful JSON response. This generated route inventory does not yet express per-operation response schemas.",
            "content": {
              "application/json": {
                "schema": {}
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          }
        },
        "x-t2k-route-source": "apps/studio/src/app/api/v1/knowledge-graphs/[graphKey]/claims/route.ts",
        "x-t2k-client-methods": [
          "listClaims"
        ]
      },
      "post": {
        "operationId": "postKnowledgeGraphsGraphKeyClaims",
        "summary": "POST /api/v1/knowledge-graphs/{graphKey}/claims",
        "tags": [
          "knowledge-graphs"
        ],
        "security": [
          {
            "ApiKey": []
          },
          {
            "SessionCookie": []
          }
        ],
        "parameters": [
          {
            "name": "graphKey",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "additionalProperties": true
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Successful JSON response. This generated route inventory does not yet express per-operation response schemas.",
            "content": {
              "application/json": {
                "schema": {}
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          }
        },
        "x-t2k-route-source": "apps/studio/src/app/api/v1/knowledge-graphs/[graphKey]/claims/route.ts",
        "x-t2k-client-methods": [
          "createClaim"
        ]
      }
    },
    "/api/v1/knowledge-graphs/{graphKey}/claims/{claimKey}": {
      "get": {
        "operationId": "getKnowledgeGraphsGraphKeyClaimsClaimKey",
        "summary": "GET /api/v1/knowledge-graphs/{graphKey}/claims/{claimKey}",
        "tags": [
          "knowledge-graphs"
        ],
        "security": [
          {
            "ApiKey": []
          },
          {
            "SessionCookie": []
          }
        ],
        "parameters": [
          {
            "name": "graphKey",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "claimKey",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successful JSON response. This generated route inventory does not yet express per-operation response schemas.",
            "content": {
              "application/json": {
                "schema": {}
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          }
        },
        "x-t2k-route-source": "apps/studio/src/app/api/v1/knowledge-graphs/[graphKey]/claims/[claimKey]/route.ts",
        "x-t2k-client-methods": [
          "getClaim"
        ]
      }
    },
    "/api/v1/knowledge-graphs/{graphKey}/claims/{claimKey}/attestations": {
      "get": {
        "operationId": "getKnowledgeGraphsGraphKeyClaimsClaimKeyAttestations",
        "summary": "GET /api/v1/knowledge-graphs/{graphKey}/claims/{claimKey}/attestations",
        "tags": [
          "knowledge-graphs"
        ],
        "security": [
          {
            "ApiKey": []
          },
          {
            "SessionCookie": []
          }
        ],
        "parameters": [
          {
            "name": "graphKey",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "claimKey",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successful JSON response. This generated route inventory does not yet express per-operation response schemas.",
            "content": {
              "application/json": {
                "schema": {}
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          }
        },
        "x-t2k-route-source": "apps/studio/src/app/api/v1/knowledge-graphs/[graphKey]/claims/[claimKey]/attestations/route.ts",
        "x-t2k-client-methods": [
          "listClaimAttestations"
        ]
      },
      "post": {
        "operationId": "postKnowledgeGraphsGraphKeyClaimsClaimKeyAttestations",
        "summary": "POST /api/v1/knowledge-graphs/{graphKey}/claims/{claimKey}/attestations",
        "tags": [
          "knowledge-graphs"
        ],
        "security": [
          {
            "ApiKey": []
          },
          {
            "SessionCookie": []
          }
        ],
        "parameters": [
          {
            "name": "graphKey",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "claimKey",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "additionalProperties": true
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Successful JSON response. This generated route inventory does not yet express per-operation response schemas.",
            "content": {
              "application/json": {
                "schema": {}
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          }
        },
        "x-t2k-route-source": "apps/studio/src/app/api/v1/knowledge-graphs/[graphKey]/claims/[claimKey]/attestations/route.ts",
        "x-t2k-client-methods": [
          "attestClaim"
        ]
      }
    },
    "/api/v1/knowledge-graphs/{graphKey}/claims/{claimKey}/disputes": {
      "get": {
        "operationId": "getKnowledgeGraphsGraphKeyClaimsClaimKeyDisputes",
        "summary": "GET /api/v1/knowledge-graphs/{graphKey}/claims/{claimKey}/disputes",
        "tags": [
          "knowledge-graphs"
        ],
        "security": [
          {
            "ApiKey": []
          },
          {
            "SessionCookie": []
          }
        ],
        "parameters": [
          {
            "name": "graphKey",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "claimKey",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successful JSON response. This generated route inventory does not yet express per-operation response schemas.",
            "content": {
              "application/json": {
                "schema": {}
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          }
        },
        "x-t2k-route-source": "apps/studio/src/app/api/v1/knowledge-graphs/[graphKey]/claims/[claimKey]/disputes/route.ts",
        "x-t2k-client-methods": [
          "listClaimDisputes"
        ]
      },
      "post": {
        "operationId": "postKnowledgeGraphsGraphKeyClaimsClaimKeyDisputes",
        "summary": "POST /api/v1/knowledge-graphs/{graphKey}/claims/{claimKey}/disputes",
        "tags": [
          "knowledge-graphs"
        ],
        "security": [
          {
            "ApiKey": []
          },
          {
            "SessionCookie": []
          }
        ],
        "parameters": [
          {
            "name": "graphKey",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "claimKey",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "additionalProperties": true
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Successful JSON response. This generated route inventory does not yet express per-operation response schemas.",
            "content": {
              "application/json": {
                "schema": {}
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          }
        },
        "x-t2k-route-source": "apps/studio/src/app/api/v1/knowledge-graphs/[graphKey]/claims/[claimKey]/disputes/route.ts",
        "x-t2k-client-methods": [
          "disputeClaim"
        ]
      }
    },
    "/api/v1/knowledge-graphs/{graphKey}/decision-contexts": {
      "get": {
        "operationId": "getKnowledgeGraphsGraphKeyDecisionContexts",
        "summary": "GET /api/v1/knowledge-graphs/{graphKey}/decision-contexts",
        "tags": [
          "knowledge-graphs"
        ],
        "security": [
          {
            "ApiKey": []
          },
          {
            "SessionCookie": []
          }
        ],
        "parameters": [
          {
            "name": "graphKey",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successful JSON response. This generated route inventory does not yet express per-operation response schemas.",
            "content": {
              "application/json": {
                "schema": {}
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          }
        },
        "x-t2k-route-source": "apps/studio/src/app/api/v1/knowledge-graphs/[graphKey]/decision-contexts/route.ts",
        "x-t2k-client-methods": [
          "listDecisionContexts"
        ]
      },
      "post": {
        "operationId": "postKnowledgeGraphsGraphKeyDecisionContexts",
        "summary": "POST /api/v1/knowledge-graphs/{graphKey}/decision-contexts",
        "tags": [
          "knowledge-graphs"
        ],
        "security": [
          {
            "ApiKey": []
          },
          {
            "SessionCookie": []
          }
        ],
        "parameters": [
          {
            "name": "graphKey",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "additionalProperties": true
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Successful JSON response. This generated route inventory does not yet express per-operation response schemas.",
            "content": {
              "application/json": {
                "schema": {}
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          }
        },
        "x-t2k-route-source": "apps/studio/src/app/api/v1/knowledge-graphs/[graphKey]/decision-contexts/route.ts",
        "x-t2k-client-methods": [
          "createDecisionContext"
        ]
      }
    },
    "/api/v1/knowledge-graphs/{graphKey}/decision-contexts/{contextKey}": {
      "get": {
        "operationId": "getKnowledgeGraphsGraphKeyDecisionContextsContextKey",
        "summary": "GET /api/v1/knowledge-graphs/{graphKey}/decision-contexts/{contextKey}",
        "tags": [
          "knowledge-graphs"
        ],
        "security": [
          {
            "ApiKey": []
          },
          {
            "SessionCookie": []
          }
        ],
        "parameters": [
          {
            "name": "graphKey",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "contextKey",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successful JSON response. This generated route inventory does not yet express per-operation response schemas.",
            "content": {
              "application/json": {
                "schema": {}
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          }
        },
        "x-t2k-route-source": "apps/studio/src/app/api/v1/knowledge-graphs/[graphKey]/decision-contexts/[contextKey]/route.ts",
        "x-t2k-client-methods": [
          "getDecisionContext"
        ]
      }
    },
    "/api/v1/knowledge-graphs/{graphKey}/decision-contexts/{contextKey}/decisions": {
      "get": {
        "operationId": "getKnowledgeGraphsGraphKeyDecisionContextsContextKeyDecisions",
        "summary": "GET /api/v1/knowledge-graphs/{graphKey}/decision-contexts/{contextKey}/decisions",
        "tags": [
          "knowledge-graphs"
        ],
        "security": [
          {
            "ApiKey": []
          },
          {
            "SessionCookie": []
          }
        ],
        "parameters": [
          {
            "name": "graphKey",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "contextKey",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successful JSON response. This generated route inventory does not yet express per-operation response schemas.",
            "content": {
              "application/json": {
                "schema": {}
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          }
        },
        "x-t2k-route-source": "apps/studio/src/app/api/v1/knowledge-graphs/[graphKey]/decision-contexts/[contextKey]/decisions/route.ts",
        "x-t2k-client-methods": [
          "listAuthorizedDecisions"
        ]
      },
      "post": {
        "operationId": "postKnowledgeGraphsGraphKeyDecisionContextsContextKeyDecisions",
        "summary": "POST /api/v1/knowledge-graphs/{graphKey}/decision-contexts/{contextKey}/decisions",
        "tags": [
          "knowledge-graphs"
        ],
        "security": [
          {
            "ApiKey": []
          },
          {
            "SessionCookie": []
          }
        ],
        "parameters": [
          {
            "name": "graphKey",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "contextKey",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "additionalProperties": true
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Successful JSON response. This generated route inventory does not yet express per-operation response schemas.",
            "content": {
              "application/json": {
                "schema": {}
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          }
        },
        "x-t2k-route-source": "apps/studio/src/app/api/v1/knowledge-graphs/[graphKey]/decision-contexts/[contextKey]/decisions/route.ts",
        "x-t2k-client-methods": [
          "authorizeDecision"
        ]
      }
    },
    "/api/v1/knowledge-graphs/{graphKey}/decision-contexts/{contextKey}/recommendations": {
      "get": {
        "operationId": "getKnowledgeGraphsGraphKeyDecisionContextsContextKeyRecommendations",
        "summary": "GET /api/v1/knowledge-graphs/{graphKey}/decision-contexts/{contextKey}/recommendations",
        "tags": [
          "knowledge-graphs"
        ],
        "security": [
          {
            "ApiKey": []
          },
          {
            "SessionCookie": []
          }
        ],
        "parameters": [
          {
            "name": "graphKey",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "contextKey",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successful JSON response. This generated route inventory does not yet express per-operation response schemas.",
            "content": {
              "application/json": {
                "schema": {}
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          }
        },
        "x-t2k-route-source": "apps/studio/src/app/api/v1/knowledge-graphs/[graphKey]/decision-contexts/[contextKey]/recommendations/route.ts",
        "x-t2k-client-methods": [
          "listRecommendations"
        ]
      },
      "post": {
        "operationId": "postKnowledgeGraphsGraphKeyDecisionContextsContextKeyRecommendations",
        "summary": "POST /api/v1/knowledge-graphs/{graphKey}/decision-contexts/{contextKey}/recommendations",
        "tags": [
          "knowledge-graphs"
        ],
        "security": [
          {
            "ApiKey": []
          },
          {
            "SessionCookie": []
          }
        ],
        "parameters": [
          {
            "name": "graphKey",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "contextKey",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "additionalProperties": true
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Successful JSON response. This generated route inventory does not yet express per-operation response schemas.",
            "content": {
              "application/json": {
                "schema": {}
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          }
        },
        "x-t2k-route-source": "apps/studio/src/app/api/v1/knowledge-graphs/[graphKey]/decision-contexts/[contextKey]/recommendations/route.ts",
        "x-t2k-client-methods": [
          "addRecommendation"
        ]
      }
    },
    "/api/v1/knowledge-graphs/{graphKey}/decision-contexts/{contextKey}/review": {
      "post": {
        "operationId": "postKnowledgeGraphsGraphKeyDecisionContextsContextKeyReview",
        "summary": "POST /api/v1/knowledge-graphs/{graphKey}/decision-contexts/{contextKey}/review",
        "tags": [
          "knowledge-graphs"
        ],
        "security": [
          {
            "ApiKey": []
          },
          {
            "SessionCookie": []
          }
        ],
        "parameters": [
          {
            "name": "graphKey",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "contextKey",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "additionalProperties": true
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Successful JSON response. This generated route inventory does not yet express per-operation response schemas.",
            "content": {
              "application/json": {
                "schema": {}
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          }
        },
        "x-t2k-route-source": "apps/studio/src/app/api/v1/knowledge-graphs/[graphKey]/decision-contexts/[contextKey]/review/route.ts",
        "x-t2k-client-methods": [
          "reviewDecisionContext"
        ]
      }
    },
    "/api/v1/knowledge-graphs/{graphKey}/decision-contexts/from-template": {
      "post": {
        "operationId": "postKnowledgeGraphsGraphKeyDecisionContextsFromTemplate",
        "summary": "POST /api/v1/knowledge-graphs/{graphKey}/decision-contexts/from-template",
        "tags": [
          "knowledge-graphs"
        ],
        "security": [
          {
            "ApiKey": []
          },
          {
            "SessionCookie": []
          }
        ],
        "parameters": [
          {
            "name": "graphKey",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "additionalProperties": true
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Successful JSON response. This generated route inventory does not yet express per-operation response schemas.",
            "content": {
              "application/json": {
                "schema": {}
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          }
        },
        "x-t2k-route-source": "apps/studio/src/app/api/v1/knowledge-graphs/[graphKey]/decision-contexts/from-template/route.ts",
        "x-t2k-client-methods": [
          "createDecisionContextFromTemplate"
        ]
      }
    },
    "/api/v1/knowledge-graphs/{graphKey}/decision-episodes": {
      "get": {
        "operationId": "getKnowledgeGraphsGraphKeyDecisionEpisodes",
        "summary": "GET /api/v1/knowledge-graphs/{graphKey}/decision-episodes",
        "tags": [
          "knowledge-graphs"
        ],
        "security": [
          {
            "ApiKey": []
          },
          {
            "SessionCookie": []
          }
        ],
        "parameters": [
          {
            "name": "graphKey",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successful JSON response. This generated route inventory does not yet express per-operation response schemas.",
            "content": {
              "application/json": {
                "schema": {}
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          }
        },
        "x-t2k-route-source": "apps/studio/src/app/api/v1/knowledge-graphs/[graphKey]/decision-episodes/route.ts",
        "x-t2k-client-methods": [
          "listDecisionEpisodes"
        ]
      },
      "post": {
        "operationId": "postKnowledgeGraphsGraphKeyDecisionEpisodes",
        "summary": "POST /api/v1/knowledge-graphs/{graphKey}/decision-episodes",
        "tags": [
          "knowledge-graphs"
        ],
        "security": [
          {
            "ApiKey": []
          },
          {
            "SessionCookie": []
          }
        ],
        "parameters": [
          {
            "name": "graphKey",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "additionalProperties": true
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Successful JSON response. This generated route inventory does not yet express per-operation response schemas.",
            "content": {
              "application/json": {
                "schema": {}
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          }
        },
        "x-t2k-route-source": "apps/studio/src/app/api/v1/knowledge-graphs/[graphKey]/decision-episodes/route.ts",
        "x-t2k-client-methods": [
          "createDecisionEpisode"
        ]
      }
    },
    "/api/v1/knowledge-graphs/{graphKey}/decision-learning": {
      "get": {
        "operationId": "getKnowledgeGraphsGraphKeyDecisionLearning",
        "summary": "GET /api/v1/knowledge-graphs/{graphKey}/decision-learning",
        "tags": [
          "knowledge-graphs"
        ],
        "security": [
          {
            "ApiKey": []
          },
          {
            "SessionCookie": []
          }
        ],
        "parameters": [
          {
            "name": "graphKey",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successful JSON response. This generated route inventory does not yet express per-operation response schemas.",
            "content": {
              "application/json": {
                "schema": {}
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          }
        },
        "x-t2k-route-source": "apps/studio/src/app/api/v1/knowledge-graphs/[graphKey]/decision-learning/route.ts",
        "x-t2k-client-methods": [
          "getDecisionLearningSnapshot"
        ]
      }
    },
    "/api/v1/knowledge-graphs/{graphKey}/decision-templates": {
      "get": {
        "operationId": "getKnowledgeGraphsGraphKeyDecisionTemplates",
        "summary": "GET /api/v1/knowledge-graphs/{graphKey}/decision-templates",
        "tags": [
          "knowledge-graphs"
        ],
        "security": [
          {
            "ApiKey": []
          },
          {
            "SessionCookie": []
          }
        ],
        "parameters": [
          {
            "name": "graphKey",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successful JSON response. This generated route inventory does not yet express per-operation response schemas.",
            "content": {
              "application/json": {
                "schema": {}
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          }
        },
        "x-t2k-route-source": "apps/studio/src/app/api/v1/knowledge-graphs/[graphKey]/decision-templates/route.ts",
        "x-t2k-client-methods": [
          "listDecisionTemplates"
        ]
      }
    },
    "/api/v1/knowledge-graphs/{graphKey}/disputes/{disputeId}/resolve": {
      "post": {
        "operationId": "postKnowledgeGraphsGraphKeyDisputesDisputeIdResolve",
        "summary": "POST /api/v1/knowledge-graphs/{graphKey}/disputes/{disputeId}/resolve",
        "tags": [
          "knowledge-graphs"
        ],
        "security": [
          {
            "ApiKey": []
          },
          {
            "SessionCookie": []
          }
        ],
        "parameters": [
          {
            "name": "graphKey",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "disputeId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "additionalProperties": true
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Successful JSON response. This generated route inventory does not yet express per-operation response schemas.",
            "content": {
              "application/json": {
                "schema": {}
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          }
        },
        "x-t2k-route-source": "apps/studio/src/app/api/v1/knowledge-graphs/[graphKey]/disputes/[disputeId]/resolve/route.ts",
        "x-t2k-client-methods": [
          "resolveClaimDispute"
        ]
      }
    },
    "/api/v1/knowledge-graphs/{graphKey}/entities": {
      "get": {
        "operationId": "getKnowledgeGraphsGraphKeyEntities",
        "summary": "GET /api/v1/knowledge-graphs/{graphKey}/entities",
        "tags": [
          "knowledge-graphs"
        ],
        "security": [
          {
            "ApiKey": []
          },
          {
            "SessionCookie": []
          }
        ],
        "parameters": [
          {
            "name": "graphKey",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successful JSON response. This generated route inventory does not yet express per-operation response schemas.",
            "content": {
              "application/json": {
                "schema": {}
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          }
        },
        "x-t2k-route-source": "apps/studio/src/app/api/v1/knowledge-graphs/[graphKey]/entities/route.ts",
        "x-t2k-client-methods": [
          "listEntities"
        ]
      },
      "post": {
        "operationId": "postKnowledgeGraphsGraphKeyEntities",
        "summary": "POST /api/v1/knowledge-graphs/{graphKey}/entities",
        "tags": [
          "knowledge-graphs"
        ],
        "security": [
          {
            "ApiKey": []
          },
          {
            "SessionCookie": []
          }
        ],
        "parameters": [
          {
            "name": "graphKey",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "additionalProperties": true
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Successful JSON response. This generated route inventory does not yet express per-operation response schemas.",
            "content": {
              "application/json": {
                "schema": {}
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          }
        },
        "x-t2k-route-source": "apps/studio/src/app/api/v1/knowledge-graphs/[graphKey]/entities/route.ts",
        "x-t2k-client-methods": [
          "createEntity"
        ]
      }
    },
    "/api/v1/knowledge-graphs/{graphKey}/grants": {
      "get": {
        "operationId": "getKnowledgeGraphsGraphKeyGrants",
        "summary": "GET /api/v1/knowledge-graphs/{graphKey}/grants",
        "tags": [
          "knowledge-graphs"
        ],
        "security": [
          {
            "ApiKey": []
          },
          {
            "SessionCookie": []
          }
        ],
        "parameters": [
          {
            "name": "graphKey",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successful JSON response. This generated route inventory does not yet express per-operation response schemas.",
            "content": {
              "application/json": {
                "schema": {}
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          }
        },
        "x-t2k-route-source": "apps/studio/src/app/api/v1/knowledge-graphs/[graphKey]/grants/route.ts",
        "x-t2k-client-methods": [
          "listGraphAccessGrants"
        ]
      },
      "post": {
        "operationId": "postKnowledgeGraphsGraphKeyGrants",
        "summary": "POST /api/v1/knowledge-graphs/{graphKey}/grants",
        "tags": [
          "knowledge-graphs"
        ],
        "security": [
          {
            "ApiKey": []
          },
          {
            "SessionCookie": []
          }
        ],
        "parameters": [
          {
            "name": "graphKey",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "additionalProperties": true
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Successful JSON response. This generated route inventory does not yet express per-operation response schemas.",
            "content": {
              "application/json": {
                "schema": {}
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          }
        },
        "x-t2k-route-source": "apps/studio/src/app/api/v1/knowledge-graphs/[graphKey]/grants/route.ts",
        "x-t2k-client-methods": [
          "grantGraphAccess"
        ]
      }
    },
    "/api/v1/knowledge-graphs/{graphKey}/grants/{grantId}/revoke": {
      "post": {
        "operationId": "postKnowledgeGraphsGraphKeyGrantsGrantIdRevoke",
        "summary": "POST /api/v1/knowledge-graphs/{graphKey}/grants/{grantId}/revoke",
        "tags": [
          "knowledge-graphs"
        ],
        "security": [
          {
            "ApiKey": []
          },
          {
            "SessionCookie": []
          }
        ],
        "parameters": [
          {
            "name": "graphKey",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "grantId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successful JSON response. This generated route inventory does not yet express per-operation response schemas.",
            "content": {
              "application/json": {
                "schema": {}
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          }
        },
        "x-t2k-route-source": "apps/studio/src/app/api/v1/knowledge-graphs/[graphKey]/grants/[grantId]/revoke/route.ts",
        "x-t2k-client-methods": [
          "revokeGraphAccess"
        ]
      }
    },
    "/api/v1/knowledge-graphs/{graphKey}/graph-functions": {
      "get": {
        "operationId": "getKnowledgeGraphsGraphKeyGraphFunctions",
        "summary": "GET /api/v1/knowledge-graphs/{graphKey}/graph-functions",
        "tags": [
          "knowledge-graphs"
        ],
        "security": [
          {
            "ApiKey": []
          },
          {
            "SessionCookie": []
          }
        ],
        "parameters": [
          {
            "name": "graphKey",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successful JSON response. This generated route inventory does not yet express per-operation response schemas.",
            "content": {
              "application/json": {
                "schema": {}
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          }
        },
        "x-t2k-route-source": "apps/studio/src/app/api/v1/knowledge-graphs/[graphKey]/graph-functions/route.ts"
      },
      "post": {
        "operationId": "postKnowledgeGraphsGraphKeyGraphFunctions",
        "summary": "POST /api/v1/knowledge-graphs/{graphKey}/graph-functions",
        "tags": [
          "knowledge-graphs"
        ],
        "security": [
          {
            "ApiKey": []
          },
          {
            "SessionCookie": []
          }
        ],
        "parameters": [
          {
            "name": "graphKey",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "additionalProperties": true
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Successful JSON response. This generated route inventory does not yet express per-operation response schemas.",
            "content": {
              "application/json": {
                "schema": {}
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          }
        },
        "x-t2k-route-source": "apps/studio/src/app/api/v1/knowledge-graphs/[graphKey]/graph-functions/route.ts"
      }
    },
    "/api/v1/knowledge-graphs/{graphKey}/graph-functions/{functionKey}/assign": {
      "post": {
        "operationId": "postKnowledgeGraphsGraphKeyGraphFunctionsFunctionKeyAssign",
        "summary": "POST /api/v1/knowledge-graphs/{graphKey}/graph-functions/{functionKey}/assign",
        "tags": [
          "knowledge-graphs"
        ],
        "security": [
          {
            "ApiKey": []
          },
          {
            "SessionCookie": []
          }
        ],
        "parameters": [
          {
            "name": "graphKey",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "functionKey",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successful JSON response. This generated route inventory does not yet express per-operation response schemas.",
            "content": {
              "application/json": {
                "schema": {}
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          }
        },
        "x-t2k-route-source": "apps/studio/src/app/api/v1/knowledge-graphs/[graphKey]/graph-functions/[functionKey]/assign/route.ts"
      }
    },
    "/api/v1/knowledge-graphs/{graphKey}/graph-functions/{functionKey}/evaluate": {
      "post": {
        "operationId": "postKnowledgeGraphsGraphKeyGraphFunctionsFunctionKeyEvaluate",
        "summary": "POST /api/v1/knowledge-graphs/{graphKey}/graph-functions/{functionKey}/evaluate",
        "tags": [
          "knowledge-graphs"
        ],
        "security": [
          {
            "ApiKey": []
          },
          {
            "SessionCookie": []
          }
        ],
        "parameters": [
          {
            "name": "graphKey",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "functionKey",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "additionalProperties": true
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Successful JSON response. This generated route inventory does not yet express per-operation response schemas.",
            "content": {
              "application/json": {
                "schema": {}
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          }
        },
        "x-t2k-route-source": "apps/studio/src/app/api/v1/knowledge-graphs/[graphKey]/graph-functions/[functionKey]/evaluate/route.ts"
      }
    },
    "/api/v1/knowledge-graphs/{graphKey}/graph-functions/{functionKey}/execute": {
      "post": {
        "operationId": "postKnowledgeGraphsGraphKeyGraphFunctionsFunctionKeyExecute",
        "summary": "POST /api/v1/knowledge-graphs/{graphKey}/graph-functions/{functionKey}/execute",
        "tags": [
          "knowledge-graphs"
        ],
        "security": [
          {
            "ApiKey": []
          },
          {
            "SessionCookie": []
          }
        ],
        "parameters": [
          {
            "name": "graphKey",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "functionKey",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "additionalProperties": true
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Successful JSON response. This generated route inventory does not yet express per-operation response schemas.",
            "content": {
              "application/json": {
                "schema": {}
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          }
        },
        "x-t2k-route-source": "apps/studio/src/app/api/v1/knowledge-graphs/[graphKey]/graph-functions/[functionKey]/execute/route.ts"
      }
    },
    "/api/v1/knowledge-graphs/{graphKey}/graph-functions/{functionKey}/generate": {
      "post": {
        "operationId": "postKnowledgeGraphsGraphKeyGraphFunctionsFunctionKeyGenerate",
        "summary": "POST /api/v1/knowledge-graphs/{graphKey}/graph-functions/{functionKey}/generate",
        "tags": [
          "knowledge-graphs"
        ],
        "security": [
          {
            "ApiKey": []
          },
          {
            "SessionCookie": []
          }
        ],
        "parameters": [
          {
            "name": "graphKey",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "functionKey",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "additionalProperties": true
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Successful JSON response. This generated route inventory does not yet express per-operation response schemas.",
            "content": {
              "application/json": {
                "schema": {}
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          }
        },
        "x-t2k-route-source": "apps/studio/src/app/api/v1/knowledge-graphs/[graphKey]/graph-functions/[functionKey]/generate/route.ts"
      }
    },
    "/api/v1/knowledge-graphs/{graphKey}/graph-functions/{functionKey}/history": {
      "get": {
        "operationId": "getKnowledgeGraphsGraphKeyGraphFunctionsFunctionKeyHistory",
        "summary": "GET /api/v1/knowledge-graphs/{graphKey}/graph-functions/{functionKey}/history",
        "tags": [
          "knowledge-graphs"
        ],
        "security": [
          {
            "ApiKey": []
          },
          {
            "SessionCookie": []
          }
        ],
        "parameters": [
          {
            "name": "graphKey",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "functionKey",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successful JSON response. This generated route inventory does not yet express per-operation response schemas.",
            "content": {
              "application/json": {
                "schema": {}
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          }
        },
        "x-t2k-route-source": "apps/studio/src/app/api/v1/knowledge-graphs/[graphKey]/graph-functions/[functionKey]/history/route.ts"
      }
    },
    "/api/v1/knowledge-graphs/{graphKey}/graph-functions/{functionKey}/revalidate": {
      "post": {
        "operationId": "postKnowledgeGraphsGraphKeyGraphFunctionsFunctionKeyRevalidate",
        "summary": "POST /api/v1/knowledge-graphs/{graphKey}/graph-functions/{functionKey}/revalidate",
        "tags": [
          "knowledge-graphs"
        ],
        "security": [
          {
            "ApiKey": []
          },
          {
            "SessionCookie": []
          }
        ],
        "parameters": [
          {
            "name": "graphKey",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "functionKey",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successful JSON response. This generated route inventory does not yet express per-operation response schemas.",
            "content": {
              "application/json": {
                "schema": {}
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          }
        },
        "x-t2k-route-source": "apps/studio/src/app/api/v1/knowledge-graphs/[graphKey]/graph-functions/[functionKey]/revalidate/route.ts"
      }
    },
    "/api/v1/knowledge-graphs/{graphKey}/graph-functions/{functionKey}/review": {
      "post": {
        "operationId": "postKnowledgeGraphsGraphKeyGraphFunctionsFunctionKeyReview",
        "summary": "POST /api/v1/knowledge-graphs/{graphKey}/graph-functions/{functionKey}/review",
        "tags": [
          "knowledge-graphs"
        ],
        "security": [
          {
            "ApiKey": []
          },
          {
            "SessionCookie": []
          }
        ],
        "parameters": [
          {
            "name": "graphKey",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "functionKey",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
[...]
